Bug 270378 - A11y bugs in "Add Docker Instance" window
A11y bugs in "Add Docker Instance" window
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
8.2
PC Solaris
: P2 (vote)
: 8.2
Assigned To: ilia
issues@cnd
82patch2-verified
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-12 12:12 UTC by soldatov
Modified: 2017-06-05 12:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-04-12 12:12:11 UTC
Scenario:
- Open Services tab
- Find Docker node
- Call context menu and select "Add Docker..." menu item
==> In "Add Docker Instance" window I see:
Alt+u, Alt-n doesn't work.
Alt-c - mnemonic conflict

Accessibility test results for 'Add Docker Instance dialog'

Results of Accessibility test for WCAG 2.0-1.3.1 (LABEL_FOR)
TEST FAILED

Labels with LABEL_FOR not set:

   Class: JLabel {  Name: | Name: }
   Class: JLabel {  Cerificates Path: | Cerificates Path: }
   Class: JLabel {  URL: | URL: }

Components with no LABEL_FOR pointing to it:
   Class: JTextField {  <!-- no name--> | Local Docker }
   Class: JTextField {  <!-- no name--> |  <!-- no description --> }
   Class: JTextField {  <!-- no name--> | http://127.0.0.1:2375 }

Results of Accessibility test for WCAG 2.0-2.1.1 (Mnemonic conflicts, wrong mnemonics or no mnemonic)
TEST FAILED

The following mnemonics conflicts were found:
   Class: JButton {  < Back |  Previous step: 0.  }
      The following mnemonic is already used - 'B' (66)
   Class: JButton {  Browse... | Browse... }
      The following mnemonic is already used - 'B' (66)

   Class: JLabel {  Cerificates Path: | Cerificates Path: }
      The following mnemonic is already used - 'C' (67)
   Class: JButton {  Test Connection | Test Connection }
      The following mnemonic is already used - 'C' (67)
Comment 1 Alexander Pepin 2017-05-03 15:16:53 UTC
Nominated to patch as A11y issue.
Comment 2 soldatov 2017-06-05 12:47:32 UTC
Verified in NetBeans 8.2 patch 2

P.S. 'Back' button is disabled in all cases, therefore we have not mnemonic conflict with Browse... button.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo